#include <stdio.h>

int main() {
    int N, L;
    
   
    scanf("%d %d", &N, &L);
    
   
    int heights[N];
    
    
    for (int i = 0; i < N; i++) {
        scanf("%d", &heights[i]);
    }
    
   
    for (int i = 0; i < N; i++) {
        
        if (heights[i] <= L) {
            printf("%d\n", i + 1); 
            return 0;
        }
    }
    

    printf("-1\n");
    
    return 0;
}